# Agregar APP al escritorio

Para agregar la APP de **IPInformation** al escritorio de nuestro **Ubuntu** debemos de ejecutar los siguientes comandos:



## Extraer la APP del archivo comprimido

Primero debemos descomprimir el archivo de nuestra aplicación en el directorio qeu escojamos, cambiando ***<targz_file>*** por el nombre del archivo descargado y ***<targz_dest>*** por el directorio destino en el que lo vamos a descomprimir:

```bash
tar -xzvf <targz_file> -C <targz_dest>
```

Cambiarle el propietario a todo el directorio (modo *recursivo*), sustituyendo ***<targz_dest>*** por el directorio en el que descomprimimos el programa:

```bash
chown -R $USER:$USER <targz_dest>
```



## Script para iniciar la APP

Cramos el siguiente script en el siguiente *Path*:

```bash
sudo nano /usr/bin/appinformation-app
```

Con el siguiente contenido, cambiando ***<app_path>*** por la ubicación en donde se encuentra el ejecutable:

```bash
#!/bin/bash
cd <app_path> && ./ipinformation
```

Y le cambiamos el propietario y los permisos de ejecución:

```bash
sudo chmod 774 /usr/bin/appinformation
```

En estos momentos si ejecutamos el script arrancaría la aplicación:

```bash
/usr/bin/appinformation-app
```



## Lanzador para la APP

Ahora creamos un lanzador en nuestro escritorio para la APP.

Primero creamos el archivo en donde especificaremos la información de la aplicación y el script que lo ejecuta, el cual creamos en el punto anterior:

```bash
sudo nano ~/.local/share/applications/ipinformation.desktop
```

El contenido del archivo es el siguiente, en donde especifcaremos el nombre que queramos para el lanzador (**Name**), la ruta de la imagen que queramos utilizar para nuestra aplicación (**Icon**, *Linux no admite extensiones .ico*), el :

```bash
[Desktop Entry]
Type=Application
Categories=Utility
Name=IPInformation
Icon=/path/to/app/logo/logo.png
Exec=/usr/bin/ipinformation-app
```

Actualizamos la base de datos de aplicaciones de escritorio:

```bash
sudo update-desktop-database
```

Ya aparecería el lanzador de nuestra aplicación.